import { AfterViewInit, Injector, NgZone, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare abstract class ListenResizeDirective implements AfterViewInit, OnDestroy {
    abstract onResize(): unknown;
    _resizeService: OnResizeChangeService;
    constructor(injector: Injector);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListenResizeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ListenResizeDirective, never, never, {}, {}, never, never, false>;
}
export declare class OnResizeChangeService {
    private readonly ngZone;
    private readonly _resizeListeners;
    constructor(ngZone: NgZone);
    subscribe(item: ListenResizeDirective): void;
    unsubscribe(item: ListenResizeDirective): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OnResizeChangeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OnResizeChangeService>;
}
